%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/BuildMethods.pm) perl(Class/Meta.pm) perl(Exporter/Tidy.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Readonly.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Class-Meta-Declare
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Deprecated in favor of Class::Meta::Express
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OV/OVID/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class provides an alternate interface for `Class::Meta'.

`Class::Meta' is a useful module which allows one to create Perl classes
which support *introspection* (also known as *reflection*). Typically Perl
classes, when created, don't supply a lot of metadata. Imported helper
functions show up when you call `$object->can($method)'. Private,
protected and trusted methods are not readily supported. Fetching a list of
attributes or methods is a haphazard affair. `Class::Meta' overcomes these
shortcomings by building the classes for you and allowing you to fetch a class
object:

  my $class_object = $object->my_class;

  foreach my $attribute ( $class_object->attributes ) {
      print $attribute->name, "\n";
  }
  foreach my $method ( $class_object->methods ) {
      print $method->name, "\n";
  }

If you've set up your class correctly, these properties are now easy to
discover.

Unfortunately, many find the `Class::Meta' interface to be a bit clumsy. As
an alternative, `Class::Meta::Declare' allows you to declare your entire
class in a single argument list to the constructor and have the class built
for you automatically. Further, reasonable defaults are provided for just
about everything.

IMPORTANT: You want this class or `Class::Meta' if you need an
introspection API for your classes. If you do not need introspection or
dynamic class generation, these modules are overkill.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

